Index: apps/confbridge/conf_state_multi_marked.c
===================================================================
--- apps/confbridge/conf_state_multi_marked.c	(revision 427618)
+++ apps/confbridge/conf_state_multi_marked.c	(working copy)
@@ -85,8 +85,6 @@
 	conf_remove_user_marked(cbu->conference_bridge, cbu);
 
 	if (cbu->conference_bridge->markedusers == 0) {
-		need_prompt = 1;
-
 		AST_LIST_TRAVERSE_SAFE_BEGIN(&cbu->conference_bridge->active_list, cbu_iter, list) {
 			/* Kick ENDMARKED cbu_iters */
 			if (ast_test_flag(&cbu_iter->u_profile, USER_OPT_ENDMARKED) && !cbu_iter->kicked) {
@@ -101,6 +99,8 @@
 				ast_bridge_remove(cbu_iter->conference_bridge->bridge, cbu_iter->chan);
 			} else if (ast_test_flag(&cbu_iter->u_profile, USER_OPT_WAITMARKED)
 				&& !ast_test_flag(&cbu_iter->u_profile, USER_OPT_MARKEDUSER)) {
+				need_prompt = 1;
+
 				AST_LIST_REMOVE_CURRENT(list);
 				cbu_iter->conference_bridge->activeusers--;
 				AST_LIST_INSERT_TAIL(&cbu_iter->conference_bridge->waiting_list, cbu_iter, list);
